Bug 246704 - gfortran on i386 gives "nomemodule.f90:0: internal compiler error: Illegal instruction" on simple module working on x86_64
Summary: gfortran on i386 gives "nomemodule.f90:0: internal compiler error: Illegal in...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gmp (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i386 Linux
low
high
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-04 08:28 UTC by Raimondo Giammanco
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-30 10:45:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Raimondo Giammanco 2007-07-04 08:28:09 UTC
Description of problem:
Have the following simple module.f90:
######
module definitions
  implicit  none

  real,parameter :: EPS=1.0e-12                    ! Presicion parameter

end module definitions
######
on FC6 x86_64 with gfortran -c module.f90 it compiles no problem,
with FC6 i386 it gives:

module.f90:0: internal compiler error: Illegal instruction
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.


Version-Release number of selected component (if applicable):

gcc-gfortran-4.1.2-13.fc6.i386
libgfortran-4.1.2-13.fc6.i386

How reproducible:
trying to compile the module


Steps to Reproduce:
1. compile te module
2.
3.
  
Actual results:
Error information

Expected results:
Object file

Additional info:
Was working before on FC4, FC5 etc. etc.

Comment 1 Jakub Jelinek 2007-07-04 08:53:04 UTC
This sounds like gmp-4.1.4-10.fc6 wasn't ever built nor pushed (like -10.el5
was pushed for RHEL5 and -11 for F7), so libmpfr.a contains SSE2 instructions
which crash on prehistoric CPUs.

Comment 2 Raimondo Giammanco 2007-07-04 09:07:42 UTC
This comment made me check all the FC6 i386 machines I have. Most of them are
AMDs (AMD Athlon(tm) XP 2400+), but I found a Intel(R) Celeron(R) CPU 2.40GHz
where indeed the module compile. 

Comment 3 Ivana Varekova 2007-07-25 14:07:03 UTC
Fixed in gmp-4.1.4-10.fc6.


Note You need to log in before you can comment on or make changes to this bug.